execution:
    uuid: 55b25994-8920-44bf-a242-e7a34d563def
    runtime:
        start: 2024-02-29T13:24:49.974404-05:00
        end: 2024-02-29T17:42:08.545639-05:00
        duration: 4 hours, 17 minutes, 18 seconds, and 571235 microseconds
    execution_context:
        type: synchronous

action:
    type: method
    plugin: !ref 'environment:plugins:dada2'
    action: denoise_single
    inputs:
    -   demultiplexed_seqs: c57b062d-735b-4b17-a5d0-9b4cd2fc0e8d
    parameters:
    -   trunc_len: 266
    -   trim_left: 0
    -   max_ee: 2.0
    -   trunc_q: 2
    -   pooling_method: independent
    -   chimera_method: consensus
    -   min_fold_parent_over_abundance: 1.0
    -   allow_one_off: false
    -   n_threads: 8
    -   n_reads_learn: 1000000
    -   hashed_feature_ids: true
    output-name: representative_sequences

transformers:
    inputs:
        demultiplexed_seqs:
        -   from: SingleLanePerSampleSingleEndFastqDirFmt
            to: SingleLanePerSampleSingleEndFastqDirFmt
    output:
    -   from: q2_types.feature_data._transformer:DNAIterator
        to: DNASequencesDirectoryFormat
        plugin: !ref 'environment:plugins:types'

environment:
    platform: linux-x86_64
    python: |-
        3.8.15 | packaged by conda-forge | (default, Nov 22 2022, 08:46:39)
        [GCC 10.4.0]
    framework:
        version: 2023.9.2
        website: https://qiime2.org
        citations:
        - !cite 'framework|qiime2:2023.9.2|0'
    plugins:
        types:
            version: 2023.9.0
            website: https://github.com/qiime2/q2-types
        dada2:
            version: 2023.9.0
            website: http://benjjneb.github.io/dada2/
            citations:
            - !cite 'plugin|dada2:2023.9.0|0'
    python-packages:
        Keras-Preprocessing: 1.1.2
        Markdown: 3.3.7
        Werkzeug: 2.1.2
        absl-py: 1.1.0
        astunparse: 1.6.3
        cachetools: 5.2.0
        flatbuffers: '1.12'
        gast: 0.4.0
        google-auth: 2.7.0
        google-auth-oauthlib: 0.4.6
        google-pasta: 0.2.0
        grpcio: 1.46.3
        keras: 2.9.0
        libclang: 14.0.1
        oauthlib: 3.2.0
        opt-einsum: 3.3.0
        protobuf: 3.19.4
        pyasn1: 0.4.8
        pyasn1-modules: 0.2.8
        requests-oauthlib: 1.3.1
        rsa: '4.8'
        tensorboard: 2.9.0
        tensorboard-data-server: 0.6.1
        tensorboard-plugin-wit: 1.8.1
        tensorflow-estimator: 2.9.0
        tensorflow-io-gcs-filesystem: 0.26.0
        termcolor: 1.1.0
        wrapt: 1.14.1
        Brotli: 1.1.0
        Cython: 3.0.4
        DendroPy: 4.5.2
        Jinja2: 3.1.2
        MarkupSafe: 2.1.2
        Pillow: 9.4.0
        PyJWT: 2.8.0
        PyNaCl: 1.5.0
        PyQt5: 5.15.7
        PyQt5-sip: 12.11.0
        PySocks: 1.7.1
        PyYAML: 6.0.1
        Pygments: 2.16.1
        Send2Trash: 1.8.2
        altair: 5.1.2
        anyio: 4.0.0
        appdirs: 1.4.4
        argcomplete: 3.0.8
        argh: 0.28.1
        argon2-cffi: 23.1.0
        argon2-cffi-bindings: 21.2.0
        arrow: 1.3.0
        astor: 0.8.1
        asttokens: 2.4.0
        atpublic: 3.0.1
        attrs: 23.1.0
        backcall: 0.2.0
        backports.functools-lru-cache: 1.6.5
        bcrypt: 4.0.1
        beautifulsoup4: 4.12.2
        bibtexparser: 1.4.1
        biom-format: 2.1.14
        bleach: 6.1.0
        cachecontrol: 0.13.1
        cached-property: 1.5.2
        certifi: 2023.7.22
        cffi: 1.16.0
        charset-normalizer: 3.3.1
        click: 8.1.7
        colorama: 0.4.6
        comm: 0.1.4
        conda-pack: 0.7.0
        contourpy: 1.1.1
        cryptography: 39.0.0
        cutadapt: '4.5'
        cycler: 0.12.1
        deblur: 1.1.1
        debugpy: 1.8.0
        decorator: 4.4.2
        defusedxml: 0.7.1
        dill: 0.3.7
        dnaio: 1.0.1
        emperor: 1.0.3
        entrypoints: '0.4'
        exceptiongroup: 1.1.3
        executing: 1.2.0
        fastcluster: 1.2.6
        fastjsonschema: 2.18.1
        flufl.lock: '7.1'
        fonttools: 4.43.1
        formulaic: 0.6.6
        fqdn: 1.5.1
        future: 0.18.3
        gffutils: 0.11.1
        globus-sdk: 3.29.0
        graphlib-backport: 1.0.3
        h5py: 3.8.0
        hdmedians: 0.14.2
        idna: '3.4'
        ijson: 3.2.3
        importlib-metadata: 6.8.0
        importlib-resources: 6.1.0
        iniconfig: 2.0.0
        interface-meta: 1.3.0
        iow: 1.0.5
        ipykernel: 6.25.2
        ipython: 8.12.2
        ipython-genutils: 0.2.0
        ipywidgets: 8.1.1
        isal: 1.5.1
        isoduration: 20.11.0
        jedi: 0.19.1
        joblib: 1.3.2
        jsonlines: 3.1.0
        jsonpointer: '2.4'
        jsonschema: 4.19.1
        jsonschema-specifications: 2023.7.1
        jupyter-client: 7.4.9
        jupyter-core: 5.4.0
        jupyter-events: 0.8.0
        jupyter-server: 2.8.0
        jupyter-server-terminals: 0.4.4
        jupyterlab-pygments: 0.2.2
        jupyterlab-widgets: 3.0.9
        kiwisolver: 1.4.5
        llvmlite: 0.40.1
        lockfile: 0.12.2
        lxml: 4.9.2
        lz4: 4.3.2
        matplotlib: 3.6.0
        matplotlib-inline: 0.1.6
        mistune: 3.0.1
        msgpack: 1.0.6
        munkres: 1.1.4
        natsort: 8.4.0
        nbclassic: 1.0.0
        nbclient: 0.8.0
        nbconvert: 7.9.2
        nbformat: 5.9.2
        ncbi-datasets-pylib: 16.4.4
        nest-asyncio: 1.5.8
        networkx: '3.1'
        nlopt: 2.7.1
        nltk: 3.8.1
        nose: 1.3.7
        notebook: 6.5.5
        notebook-shim: 0.2.3
        numba: 0.57.1
        numpy: 1.24.4
        overrides: 7.4.0
        packaging: '23.2'
        pandas: 1.5.3
        pandocfilters: 1.5.0
        paramiko: 3.3.1
        parsl: 2023.10.16
        parso: 0.8.3
        patsy: 0.5.3
        pexpect: 4.8.0
        pickleshare: 0.7.5
        pip: 23.3.1
        pkgutil-resolve-name: 1.3.10
        platformdirs: 3.11.0
        pluggy: 1.3.0
        ply: '3.11'
        pooch: 1.7.0
        prometheus-client: 0.17.1
        prompt-toolkit: 3.0.39
        psutil: 5.9.5
        ptyprocess: 0.7.0
        pure-eval: 0.2.2
        pycparser: '2.21'
        pyfaidx: 0.7.2.1
        pynndescent: 0.5.10
        pyparsing: 3.1.1
        pytest: 7.4.2
        python-dateutil: 2.8.2
        python-json-logger: 2.0.7
        pytz: 2023.3.post1
        pyzmq: 24.0.1
        q2-alignment: 2023.9.0
        q2-composition: 2023.9.0
        q2-cutadapt: 2023.9.0
        q2-dada2: 2023.9.0
        q2-deblur: 2023.9.0
        q2-demux: 2023.9.1
        q2-diversity: 2023.9.0
        q2-diversity-lib: 2023.9.0
        q2-emperor: 2023.9.0
        q2-feature-classifier: 2023.9.0
        q2-feature-table: 2023.9.0
        q2-fragment-insertion: 2023.9.0
        q2-greengenes2: '2024.1'
        q2-longitudinal: 2023.9.1
        q2-metadata: 2023.9.0
        q2-mystery-stew: 2023.9.0
        q2-phylogeny: 2023.9.0
        q2-quality-control: 2023.9.0
        q2-quality-filter: 2023.9.0
        q2-sample-classifier: 2023.9.0
        q2-taxa: 2023.9.0
        q2-types: 2023.9.0
        q2-vsearch: 2023.9.0
        q2cli: 2023.9.1
        q2galaxy: 2023.9.0
        q2templates: 2023.9.0
        qiime2: 2023.9.2
        redbiom: 0.3.9
        referencing: 0.30.2
        regex: 2023.12.25
        requests: 2.31.0
        rfc3339-validator: 0.1.4
        rfc3986-validator: 0.1.1
        rpds-py: 0.10.6
        scikit-bio: 0.5.8
        scikit-learn: 0.24.1
        scipy: 1.10.0
        seaborn: 0.12.2
        sepp: 4.3.10
        setproctitle: 1.3.3
        setuptools: 67.7.2
        simplejson: 3.19.1
        sip: 6.7.12
        six: 1.16.0
        sniffio: 1.3.0
        soupsieve: '2.5'
        stack-data: 0.6.2
        statsmodels: 0.14.0
        tblib: 2.0.0
        terminado: 0.17.1
        threadpoolctl: 3.2.0
        tinycss2: 1.2.1
        toml: 0.10.2
        tomli: 2.0.1
        tomlkit: 0.12.1
        toolz: 0.12.0
        tornado: 6.3.3
        tqdm: 4.66.1
        traitlets: 5.9.0
        typeguard: 2.13.3
        types-python-dateutil: 2.8.19.14
        typing-extensions: 4.8.0
        typing-utils: 0.1.0
        tzlocal: '2.1'
        umap-learn: 0.5.4
        unicodedata2: 15.1.0
        unifrac: 1.3.0
        uri-template: 1.3.0
        urllib3: 1.26.15
        wcwidth: 0.2.8
        webcolors: '1.13'
        webencodings: 0.5.1
        websocket-client: 1.6.4
        wheel: 0.41.2
        widgetsnbextension: 4.0.9
        xmltodict: 0.13.0
        xopen: 1.8.0
        yq: 3.2.3
        zipp: 3.17.0
        zstandard: 0.21.0
